# std::experimental::basic_string_view::operator=

From cppreference.com
< cpp‎ | experimental‎ | basic string view

basic_string_view& operator=( const basic_string_view& view ) = default; |  | (library fundamentals TS)

Replaces the view with that of `view`.

### Parameters

view | - | view to copy

### Return value

*this

### Exceptions

`noexcept` specification:
noexcept

### Complexity

Constant.

### Example

Run this code

    #include <iostream>
    #include <experimental/string_view>
    int main()
    {
        std::experimental::string_view v = "Hello, world";
        v = v.substr(7);
        std::cout << v << '\n';
    }

Output:

    world

### See also

(constructor) | constructs a `basic_string_view` (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/experimental/basic_string_view/operator%3D&oldid=91748"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template